Subject: Offline Message from Carter Vosseteig: Hey I bought a swagtron swagskate ng-2
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Thu, 23 Jun 2022 00:31:44 -0000

From: Carter Vosseteig <[email-masked]>
Phone: 6083940724
Location: La Crosse, United States
URL: https://swagtron.com/
Department: SwagTron

Hey I bought a swagtron swagskate ng-2 electric longboard with AI online on the marketplace, it didnt have a charger or a remote, so I bought both of those from you guys. When I plugged it in the light on the charger stayed green, indicating the battery was fully charged. It doesn't turn on, and I don't know what I'm doing when it comes to anything electronic, so I'm wondering what I should do? I don't want to be out a few hundred bucks, but don't even know where to start when it comes to troubleshooting anything.

----
Zopim
https://www.zopim.com